package inheritance;

public class DebitAccount extends AbstractAccount {

  @Override
  public void internalWithdraw(double amount) {
    if (this.balance - amount < 0)
      throw new IllegalStateException("The account does not contain enough money for the withdrawal.");
    super.balance -= amount;
  }
  
}
